## org.eclipse.amp.agf.chart
Class NameColorPair

    java.lang.Object
      org.eclipse.amp.agf.chart.NameColorPair

     class NameColorPair

extends java.lang.Object

The Class NameColorPair.

Field Summary
`(package private) Color` `color`
`(package private) java.lang.String` `name`

Constructor Summary
`NameColorPair(java.lang.String name, Color color)` Instantiates a new name color pair.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### color

    Color color

Constructor Detail

### NameColorPair

    public NameColorPair(java.lang.String name,
                         Color color)

  Instantiates a new name color pair.

  Parameters:
    `name` - the name
    `color` - the color

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors